# Enum Class CAUVAuditSearchParameters

java.lang.Object
java.lang.Enum<CAUVAuditSearchParameters>
com.io7m.cardant.protocol.inventory.cb.internal.CAUVAuditSearchParameters

All Implemented Interfaces:
  `CAProtocolMessageValidatorType<CAAuditSearchParameters,CAI1AuditSearchParameters>`, `Serializable`, `Comparable<CAUVAuditSearchParameters>`, `Constable`

public enum CAUVAuditSearchParameters extends Enum<CAUVAuditSearchParameters> implements CAProtocolMessageValidatorType<CAAuditSearchParameters,CAI1AuditSearchParameters>
A validator.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUDIT_SEARCH_PARAMETERS`
  A validator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAAuditSearchParameters`
  `convertFromWire(CAI1AuditSearchParameters message)`
  Convert a wire message to a core message.
  `CAI1AuditSearchParameters`
  `convertToWire(CAAuditSearchParameters parameters)`
  Convert a core message to a wire message.
  `static CAUVAuditSearchParameters`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAUVAuditSearchParameters[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUDIT_SEARCH_PARAMETERS

    public static final CAUVAuditSearchParameters AUDIT_SEARCH_PARAMETERS
    A validator.

- ## Method Details

  - ### values

    public static CAUVAuditSearchParameters[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAUVAuditSearchParameters valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### convertToWire

    public CAI1AuditSearchParameters convertToWire(CAAuditSearchParameters parameters) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `CAProtocolMessageValidatorType<CAAuditSearchParameters,CAI1AuditSearchParameters>`
    Parameters:
      `parameters` - The core message
    Returns:
      The wire message
    Throws:
      `CAProtocolException` - On errors

  - ### convertFromWire

    public CAAuditSearchParameters convertFromWire(CAI1AuditSearchParameters message) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `CAProtocolMessageValidatorType<CAAuditSearchParameters,CAI1AuditSearchParameters>`
    Parameters:
      `message` - The wire message
    Returns:
      The core message
    Throws:
      `CAProtocolException` - On errors